//
//  NSManagedObjectContext+CopyObject.h
//  FengShuiKit
//
//  Created by Kevin Ross on 7/11/09.
//  Copyright 2009 Kevin Ross. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSManagedObjectContext (ImportObject)


/**
  * This method in effect "copies" object into this NSManaagedObectContext.
  * We say "copies" because it actually returns an autoreleased reference to the 
  * inserted object.  There is no need to release the returned NSManagedObject.
  */
- (NSManagedObject*)importObject:(NSManagedObject*)object 
		  withParentEntityName:(NSString*)parentEntity;





@end
