//
//  NSManagedObjectContext+FetchAdditions.h
//  TwentyFourMountains
//
//  Created by Kevin Ross on 12/1/08.
//  Copyright 2008 Kevin Ross. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <CoreData/CoreData.h>

@interface NSManagedObjectContext (FetchAdditions)

- (id)fetchObjectForEntityName:(NSString *)entityName
				 withPredicate:(NSPredicate *)predicate;

- (NSArray *)fetchObjectsForEntityName:(NSString *)entityName
						 withPredicate:(NSPredicate *)predicate;


@end
